package com.fzm.mall.server.admin.goods_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/3/12 13:49
 * @description 商品类别
 * @since JDK 1.8
 */
public enum NFTSalesTypeEnum {

    ORIGIN(1),//原商品销售
    COPY(2);//拷贝销售

    private Integer type;

    NFTSalesTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(NFTSalesTypeEnum.values())
                .map(NFTSalesTypeEnum::getType)
                .collect(Collectors.toList());
    }
}
